%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global srcname celery

Name:           python-%{srcname}
Version:        2.2.4
Release:        1%{?dist}
Summary:        Task queue/job queue based on distributed message passing

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/celery
Source0:        http://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-kombu
BuildRequires:  python-dateutil

Requires:       django-picklefield
Requires:       python-anyjson
Requires:       python-carrot
Requires:       python-importlib
Requires:       python-amqplib
Requires:       python-billiard
Requires:       pyparsing


%description
Celery is a task queue/job queue based on distributed message
passing. It is focused on real-time operation, but supports
scheduling as well.

The execution units, called tasks, are executed concurrently on a
single or more worker servers. Tasks can execute asynchronously
(in the background) or synchronously (wait until ready).

Celery is already used in production to process millions of tasks
a day.


%prep
%setup -q -n %{srcname}-%{version}
##Remove the shebangs and fix permissions
for File in celery/bin/camqadm.py celery/bin/celerybeat.py celery/bin/celeryd.py; do
  %{__sed} -i.orig -e 1d ${File}
  touch -r ${File}.orig ${File}
  %{__rm} ${File}.orig
  chmod a-x ${File} 
done


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


# %check
# %{__python} setup.py quicktest


%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog LICENSE READ* THANKS TODO docs/
%{_bindir}/camqadm
%{_bindir}/%{srcname}*
%{python_sitelib}/%{srcname}/
%{python_sitelib}/%{srcname}*.egg-info
%{python_sitelib}/funtests/


%changelog
* Sat Mar 26 2011 Fabian Affolter <fabian@bernewireless.net> - 2.2.4-1
- Added new BR
- Enabled test again
- Updated to new upstream version 2.2.4

* Sat Jul 03 2010 Fabian Affolter <fabian@bernewireless.net> - 2.0.0-1
- Initial package
